POV-Ray : Newsgroups : povray.programming : qtpovray and debian : Re: qtpovray and debian Server Time
6 Oct 2022 04:31:56 EDT (-0400)
  Re: qtpovray and debian  
From: dick balaska
Date: 16 Jul 2018 04:44:24
Message: <5b4c5ae8$1@news.povray.org>
I don't get git.
My last merge of povray was from master on 12/17/17.
At the time, source/base/version.h was reporting povray as version
3.8.1-alpha as per a 12/2/17 clipka "Merge branch 'release v3.8.0'"

I picked up that version number (and didn't really care).

In my head, I noticed a discrepancy when clipka suggested I call mine
v3.80.0 (why not 3.81.0 ?).

Now I see clipka fixed that burp on 12/10/17. 3.8.0 has bubbled through
most of the branches.

I just merged autobuild/alpha_v380.  In source/base/version.h I picked
up #define POV_RAY_PRERELEASE "alpha.9606898" and the copyright changed
from 2017 to 2018.
But, I still have
#define POV_RAY_PATCHLEVEL_INT      1
instead of
#define POV_RAY_PATCHLEVEL_INT      0
which is in the merged-from file.

Why?  I have not altered this, and if I had, I should get a conflict.
If makes me nervous for whatever other files I may not have picked up
changes on.

https://github.com/dickbalaska/qtpovray/commit/f0eb4228ecfe624e905fe04367a73d3cc514f8fa#diff-456b041bdd8c9f06ec0514302ebba61b
( https://tinyurl.com/y7t5hh8x )
-- 
dik
Rendered 328976 of 330000 (99%)


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.